image: python:3.9

stages:
    - build 
    - test

before_script:
    - python -m pip install --upgrade pip
    - pip install -r requirements.txt

build:
    stage: build
    script:
        - python setup.py sdist bdist_wheel

lint:
    stage: test
    dependencies:
        - build
    script:
        - pylint myfiles

test:
    stage: test
    dependencies:
        - build
    script:
        - pytest 
